"""empty message

Revision ID: 1bc679e52c02
Revises: 06af18aadcd7
Create Date: 2023-06-14 04:32:13.030477

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1bc679e52c02'
down_revision = '06af18aadcd7'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_transaction', schema=None) as batch_op:
        batch_op.alter_column('debit',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               type_=sa.String(length=25),
               existing_nullable=True)
        batch_op.alter_column('credit',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               type_=sa.String(length=25),
               existing_nullable=True)
        batch_op.alter_column('balance',
               existing_type=sa.DOUBLE_PRECISION(precision=53),
               type_=sa.String(length=25),
               existing_nullable=True)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('bank_transaction', schema=None) as batch_op:
        batch_op.alter_column('balance',
               existing_type=sa.String(length=25),
               type_=sa.DOUBLE_PRECISION(precision=53),
               existing_nullable=True)
        batch_op.alter_column('credit',
               existing_type=sa.String(length=25),
               type_=sa.DOUBLE_PRECISION(precision=53),
               existing_nullable=True)
        batch_op.alter_column('debit',
               existing_type=sa.String(length=25),
               type_=sa.DOUBLE_PRECISION(precision=53),
               existing_nullable=True)

    # ### end Alembic commands ###
